# Example manifest building an image with, two container images hosted in a
# remote container registry and on the local container storage of the host
# system and pre-built into the image inside the QM partition.

name: container_qm

content:
  rpms:
    # for testing the image only:
    - openssh-server
    - openssh-clients

  # Required for testing the image only:
  systemd:
    enabled_services:
      # Enable ssh daemon
      - sshd.service

qm:
  content:
    container_images:
      # Get the CS10 base container in from a local container registry
      - source: quay.io/centos/centos
        tag: stream10
        name: localhost/cs10
        containers-transport: containers-storage
      # Get the auto-apps container image from a remote container registry
      # here gitlab
      - source: registry.gitlab.com/centos/automotive/sample-images/demo/auto-apps
        tag: latest
        name: localhost/auto-apps

auth:
  # "password"
  root_password: $6$xoLqEUz0cGGJRx01$H3H/bFm0myJPULNMtbSsOFd/2BnHqHkMD92Sfxd.EKM9hXTWSmELG8cf205l6dktomuTcgKGGtGDgtvHVXSWU.
  # Required for testing the image only:
  sshd_config:
    PasswordAuthentication: true
    PermitRootLogin: true
